[PATCH modular 2/2] build.sh: make --autoresume and -o mutually exclusive
Trevor Woerner
twoerner at gmail.com
Tue Jan 31 14:15:34 PST 2012
From: Trevor Woerner <twoerner at gmail.com>
The '--autoresume' option tells the build to continue on with where it last
left off while building a set of modules. The '-o' option tells the build to
build just the one module. These two options don't make a lot of sense when
specified together. This patch looks for the scenario where both these
options are specified and errors out since there is a good chance the build
will not behave as the user expects.
Signed-off-by: Trevor Woerner <twoerner at gmail.com>
---
build.sh | 10 ++++++++++
1 files changed, 10 insertions(+), 0 deletions(-)
diff --git a/build.sh b/build.sh
index 4be3a19..a3eaf77 100755
--- a/build.sh
+++ b/build.sh
@@ -1202,6 +1202,11 @@ do
NOQUIT=1
;;
-o)
+ if [ -n "$BUILT_MODULES_FILE" ]; then
+ echo "The '-o' and '--autoresume' options are mutually exclusive."
+ usage
+ exit 1
+ fi
required_arg $1 $2
shift
RESUME=$1
@@ -1216,6 +1221,11 @@ do
SUDO=$1
;;
--autoresume)
+ if [ -n "$BUILD_ONE" ]; then
+ echo "The '-o' and '--autoresume' options are mutually exclusive."
+ usage
+ exit 1
+ fi
required_arg $1 $2
shift
BUILT_MODULES_FILE=$1
--
1.7.9.GIT
More information about the xorg-devel
mailing list